Index: /trunk/SRC/.idlwave_catalog
===================================================================
--- /trunk/SRC/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/Calendar/.idlwave_catalog
===================================================================
--- /trunk/SRC/Calendar/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/Calendar/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/Documentation/idlwave_catalog
===================================================================
--- /trunk/SRC/Documentation/idlwave_catalog	(revision 75)
+++ /trunk/SRC/Documentation/idlwave_catalog	(revision 76)
@@ -124,5 +124,5 @@
 ;; IDLWAVE catalog for library $libname
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on $time
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "$libname")
Index: /trunk/SRC/Documentation/xmldoc/idlfiles/.idlwave_catalog
===================================================================
--- /trunk/SRC/Documentation/xmldoc/idlfiles/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/Documentation/xmldoc/idlfiles/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ForOldVersion/.idlwave_catalog
===================================================================
--- /trunk/SRC/ForOldVersion/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ForOldVersion/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ForOldVersion/keep_compatibility.pro
===================================================================
--- /trunk/SRC/ForOldVersion/keep_compatibility.pro	(revision 75)
+++ /trunk/SRC/ForOldVersion/keep_compatibility.pro	(revision 76)
@@ -85,4 +85,17 @@
   demomode_compatibility
 ;
+;  make sure that the common variables are correctly initialized.
+;
+  IF size(ccmeshparameters, /type) NE 8 THEN BEGIN 
+    computegrid, 1, 1, 1, 1, 1, 1, /fullcgrid
+@cm_4data    
+    varname = ''
+    vargrid = 'T'
+    vardate = '0'
+    varexp = ''
+    varunit = ''
+    valmask = 1.e20
+  ENDIF
+;  
   return
 END
Index: /trunk/SRC/Grid/.idlwave_catalog
===================================================================
--- /trunk/SRC/Grid/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/Grid/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/Interpolation/.idlwave_catalog
===================================================================
--- /trunk/SRC/Interpolation/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/Interpolation/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/Obsolete/.idlwave_catalog
===================================================================
--- /trunk/SRC/Obsolete/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/Obsolete/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/Postscript/.idlwave_catalog
===================================================================
--- /trunk/SRC/Postscript/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/Postscript/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ReadWrite/.idlwave_catalog
===================================================================
--- /trunk/SRC/ReadWrite/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ReadWrite/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ReadWrite/idl-NetCDF/.idlwave_catalog
===================================================================
--- /trunk/SRC/ReadWrite/idl-NetCDF/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ReadWrite/idl-NetCDF/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_quickread/.idlwave_catalog
===================================================================
--- /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_quickread/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_quickread/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_quickwrite/.idlwave_catalog
===================================================================
--- /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_quickwrite/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_quickwrite/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/Tests/.idlwave_catalog
===================================================================
--- /trunk/SRC/Tests/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/Tests/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/Tests/TestsOld/.idlwave_catalog
===================================================================
--- /trunk/SRC/Tests/TestsOld/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/Tests/TestsOld/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/Textoidl/.idlwave_catalog
===================================================================
--- /trunk/SRC/Textoidl/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/Textoidl/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/CALCULS/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/CALCULS/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/CALENDRIER/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/CALENDRIER/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/CALENDRIER/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/COULEURS/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/COULEURS/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/COULEURS/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/GRILLE/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/GRILLE/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/HOPE/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/HOPE/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/IMAGE/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/IMAGE/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/IMAGE/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/INIT/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/INIT/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/INIT/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/LECTURE/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/LECTURE/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/LECTURE/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/LECTURE/GRIB/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/LECTURE/GRIB/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/LECTURE/GRIB/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/MATRICE/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/MATRICE/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/MATRICE/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/PLOTS/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/PLOTS/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/PLOTS/LABEL/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/LABEL/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/PLOTS/LABEL/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/POSTSCRIPT/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/POSTSCRIPT/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/POSTSCRIPT/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/STATISTICS/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/STATISTICS/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/STATISTICS/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/STRING/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/STRING/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/STRUCTURE/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/STRUCTURE/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/STRUCTURE/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/TRIANGULATION/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/TRIANGULATION/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/TRIANGULATION/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/UTILITAIRE/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/UTILITAIRE/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/UTILITAIRE/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/WIDGET/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/WIDGET/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
Index: /trunk/SRC/Utilities/.idlwave_catalog
===================================================================
--- /trunk/SRC/Utilities/.idlwave_catalog	(revision 75)
+++ /trunk/SRC/Utilities/.idlwave_catalog	(revision 76)
@@ -2,5 +2,5 @@
 ;; IDLWAVE catalog for library saxo
 ;; Automatically Generated -- do not edit.
-;; Created by idlwave_catalog on Tue May 23 15:31:07 2006
+;; Created by idlwave_catalog
 ;;
 (setq idlwave-library-catalog-libname "saxo")
@@ -13,4 +13,3 @@
    ("isadirectory" fun nil (lib "isadirectory.pro" nil "saxo") "Result = %s(directoryin)" (nil ("_extra") ("IODIRECTORY") ("TITLE")))
    ("isafile" fun nil (lib "isafile.pro" nil "saxo") "Result = %s(filein)" (nil ("_extra") ("FILENAME") ("IODIRECTORY") ("NEW") ("ONLYNC") ("ONLYPRO") ("RECURSIVE")))
-   ("protype" fun nil (lib "protype.pro" nil "saxo") "Result = %s(file)" (nil))
-   ("test" fun nil (lib "test.pro" nil "saxo") "Result = %s" (nil ("_extra") ("two")))))
+   ("protype" fun nil (lib "protype.pro" nil "saxo") "Result = %s(file)" (nil))))
Index: /trunk/SRC/buildinit.pro
===================================================================
--- /trunk/SRC/buildinit.pro	(revision 75)
+++ /trunk/SRC/buildinit.pro	(revision 76)
@@ -486,48 +486,6 @@
           , ';========================================================' $
           , ';' $
-          , '; default definitions of many other common parameters...' $
-          , 'jpiglo = 1L' $
-          , 'jpjglo = 1L' $
-          , 'jpkglo = 1L' $
-          , 'jpidta = jpiglo' $
-          , 'jpjdta = jpjglo' $
-          , 'jpkdta = jpjglo' $
-          , 'jpi = 1L' $
-          , 'jpj = 1L' $
-          , 'jpk = 1L' $
-          , 'jpt = 1L' $
-          , 'time = 0L' $
-          , 'ixminmesh = -1L' $
-          , 'ixmaxmesh = -1L' $
-          , 'iyminmesh = -1L' $
-          , 'iymaxmesh = -1L' $
-          , 'izminmesh = -1L' $
-          , 'izmaxmesh = -1L' $
-          , 'ixmindta = 0L' $
-          , 'ixmaxdta = jpidta-1' $
-          , 'iymindta = 0L' $
-          , 'iymaxdta = jpjdta-1' $
-          , 'izmindta = 0L' $
-          , 'izmaxdta = jpkdta-1' $
-          , 'key_gridtype = ''C''' $
-          , 'key_partialstep = 0L' $
-          , 'key_onearth = 1L' $
-          , 'key_shift = 0L' $
-          , 'key_periodic = 0L' $
-          , 'key_yreverse = 0L' $
-          , 'key_zreverse = 0L' $
-          , 'key_stride = [1, 1, 1]' $
-          , 'lon1 = 0' $
-          , 'lon2 = 1' $
-          , 'lat1 = 0' $
-          , 'lat2 = 1' $
-          , 'vert1 = 0' $
-          , 'vert2 = 1' $
-          , 'valmask = 1.e20' $
-          , 'vargrid = ''T''' $
-          , 'varname = ''''' $      
-          , 'varexp = ''''' $
-          , 'varunit = ''''' $
-          , 'vardate= ''0''' $
+          , '; if needed, keep compatibility with the old version' $
+          , ';' $
           , '@updateold' $
           , ';' ]