Index: trunk/SRC/Documentation/xmldoc/getsaxo.css
===================================================================
--- trunk/SRC/Documentation/xmldoc/getsaxo.css	(revision 82)
+++ 	(revision )
@@ -1,1 +1,0 @@
-.screen	        { background-color: lavender}
Index: trunk/SRC/Documentation/xmldoc/whatsnew.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/whatsnew.html	(revision 82)
+++ trunk/SRC/Documentation/xmldoc/whatsnew.html	(revision 83)
@@ -1,25 +1,25 @@
 <html><head>
       <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
-   <title>What's new in SAXO</title><link rel="stylesheet" href="saxo.css" type="text/css"><meta name="generator" content="DocBook XSL Stylesheets V1.69.1"><meta name="keywords" content="idl, SAXO"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="article" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="d0e1"></a>What's new in SAXO</h2></div><div><div class="authorgroup"><div class="author"><h3 class="author"><span class="firstname">S&eacute;bastien</span> <span class="surname">Masson</span></h3><code class="email">&lt;<a href="mailto:smasson_at_lodyc.jussieu.fr">smasson_at_lodyc.jussieu.fr</a>&gt;</code></div><div class="author"><h3 class="author"><span class="firstname">Fran&ccedil;oise</span> <span class="surname">Pinsard</span></h3><code class="email">&lt;<a href="mailto:Francoise.Pinsard_at_lodyc.jussieu.fr">Francoise.Pinsard_at_lodyc.jussieu.fr</a>&gt;</code></div></div></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr><tr><td align="left">Revision 0.0</td><td align="left">May 2006</td></tr><tr><td align="left" colspan="2">First draft</td></tr></table></div></div></div><hr></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#d0e38">1. Introduction</a></span></dt><dt><span class="sect1"><a href="#d0e45">2. Changeset 73</a></span></dt><dt><span class="sect1"><a href="#d0e61">3. Changeset 69</a></span></dt><dt><span class="sect1"><a href="#d0e71">4. Changeset 68</a></span></dt><dt><span class="sect1"><a href="#d0e81">5. Changeset 7</a></span></dt><dt><span class="sect1"><a href="#d0e91">6. Changeset 2</a></span></dt></dl></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e38"></a>1.&nbsp;Introduction</h2></div></div></div><p>
+   <title>What's new in SAXO</title><link rel="stylesheet" href="saxo.css" type="text/css"><meta name="generator" content="DocBook XSL Stylesheets V1.69.1"><meta name="keywords" content="idl, SAXO"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="article" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="d0e1"></a>What's new in SAXO</h2></div><div><div class="authorgroup"><div class="author"><h3 class="author"><span class="firstname">S&eacute;bastien</span> <span class="surname">Masson</span></h3><code class="email">&lt;<a href="mailto:smasson_at_lodyc.jussieu.fr">smasson_at_lodyc.jussieu.fr</a>&gt;</code></div><div class="author"><h3 class="author"><span class="firstname">Fran&ccedil;oise</span> <span class="surname">Pinsard</span></h3><code class="email">&lt;<a href="mailto:Francoise.Pinsard_at_lodyc.jussieu.fr">Francoise.Pinsard_at_lodyc.jussieu.fr</a>&gt;</code></div></div></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr><tr><td align="left">Revision 0.0</td><td align="left">May 2006</td></tr><tr><td align="left" colspan="2">First draft</td></tr><tr><td align="left">Revision 0.1</td><td align="left">June 2006</td></tr><tr><td align="left" colspan="2">add date according to output of <span><strong class="command">svn</strong></span> log</td></tr></table></div></div></div><hr></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#d0e48">1. Introduction</a></span></dt><dt><span class="sect1"><a href="#d0e55">2. Changeset 73 (2006-05-22)</a></span></dt><dt><span class="sect1"><a href="#d0e71">3. Changeset 69 (2006-05-11)</a></span></dt><dt><span class="sect1"><a href="#d0e81">4. Changeset 68 (2006-05-09)</a></span></dt><dt><span class="sect1"><a href="#d0e91">5. Changeset 7 (2006-04-24)</a></span></dt><dt><span class="sect1"><a href="#d0e101">6. Changeset 2 (revision date=2002-09-11 actually done 2006-04-13)</a></span></dt></dl></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e48"></a>1.&nbsp;Introduction</h2></div></div></div><p>
 Here are listed major revisions.
 </p><p>
 SAXO team should provide instructions to prevent from side effects of upgrade.
-</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e45"></a>2.&nbsp;Changeset 73</h2></div></div></div><p>
+</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e55"></a>2.&nbsp;Changeset 73 (2006-05-22)</h2></div></div></div><p>
 This revision is the last one made to split svn repository in two parts : SRC and DATA.
 </p><p>
 Details can be seen in <a href="http://forge.ipsl.jussieu.fr/saxo/changeset/71" target="_top">Changeset 71</a>, <a href="http://forge.ipsl.jussieu.fr/saxo/changeset/72" target="_top">Changeset 72</a> and <a href="http://forge.ipsl.jussieu.fr/saxo/changset/73" target="_top">Changeset 73</a>.
-</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e61"></a>3.&nbsp;Changeset 69</h2></div></div></div><p>
+</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e71"></a>3.&nbsp;Changeset 69 (2006-05-11)</h2></div></div></div><p>
 This revision includes new XXX features.
 </p><p>
 Details can be seen in <a href="http://forge.ipsl.jussieu.fr/saxo/changeset/69" target="_top">Changeset 69</a>.
-</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e71"></a>4.&nbsp;Changeset 68</h2></div></div></div><p>
+</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e81"></a>4.&nbsp;Changeset 68 (2006-05-09)</h2></div></div></div><p>
 This revision is equivalent to SAXO_RD 20060124.
 </p><p>
 Details can be seen in <a href="http://forge.ipsl.jussieu.fr/saxo/changeset/68" target="_top">Changeset 68</a>.
-</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e81"></a>5.&nbsp;Changeset 7</h2></div></div></div><p>
+</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e91"></a>5.&nbsp;Changeset 7 (2006-04-24)</h2></div></div></div><p>
 This revision is equivalent to IDL_RD.
 </p><p>
 Details can be seen in <a href="http://forge.ipsl.jussieu.fr/saxo/changeset/7" target="_top">Changeset 7</a>.
-</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e91"></a>6.&nbsp;Changeset 2</h2></div></div></div><p>
+</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e101"></a>6.&nbsp;Changeset 2 (revision date=2002-09-11 actually done 2006-04-13)</h2></div></div></div><p>
 This revision is equivalent to <span class="bold"><strong>obsolete</strong></span> CVS repository.
 </p><p>
Index: trunk/SRC/Documentation/xmldoc/whatsnew.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/whatsnew.xml	(revision 82)
+++ trunk/SRC/Documentation/xmldoc/whatsnew.xml	(revision 83)
@@ -20,4 +20,9 @@
         <revremark>First draft</revremark>
       </revision>
+      <revision>
+        <revnumber>0.1</revnumber>
+        <date>June 2006</date>
+        <revremark>add date according to output of <command>svn</command> log</revremark>
+      </revision>
     </revhistory>  
   </articleinfo>
@@ -35,5 +40,5 @@
 </sect1>
 <sect1>
-<title>Changeset 73</title>
+<title>Changeset 73 (2006-05-22)</title>
 <para>
 This revision is the last one made to split svn repository in two parts : SRC and DATA.
@@ -44,5 +49,5 @@
 </sect1>
 <sect1>
-<title>Changeset 69</title>
+<title>Changeset 69 (2006-05-11)</title>
 <para>
 This revision includes new XXX features.
@@ -54,5 +59,5 @@
 
 <sect1>
-<title>Changeset 68</title>
+<title>Changeset 68 (2006-05-09)</title>
 <para>
 This revision is equivalent to SAXO_RD 20060124.
@@ -63,5 +68,5 @@
 </sect1>
 <sect1>
-<title>Changeset 7</title>
+<title>Changeset 7 (2006-04-24)</title>
 <para>
 This revision is equivalent to IDL_RD.
@@ -72,5 +77,5 @@
 </sect1>
 <sect1>
-<title>Changeset 2</title>
+<title>Changeset 2 (revision date=2002-09-11 actually done 2006-04-13)</title>
 <para>
 This revision is equivalent to <emphasis role="bold">obsolete</emphasis> CVS repository.