Index: trunk/SRC/Documentation/idldoc_html_output/ForOldVersion/directory-overview.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/ForOldVersion/directory-overview.html	(revision 101)
+++ trunk/SRC/Documentation/idldoc_html_output/ForOldVersion/directory-overview.html	(revision 102)
@@ -90,5 +90,5 @@
       
 	<dt><a href="keep_compatibility.html?format=raw">keep_compatibility.pro</a></dt>
-	<dd></dd>
+	<dd>     1) define key_forgetold = 1b - keyword_set(flag)    2) remove all oldcm_used.</dd>
       
 	<dt><a href="oldcm_empty.html?format=raw">oldcm_empty.pro</a></dt>
Index: trunk/SRC/Documentation/idldoc_html_output/ForOldVersion/keep_compatibility.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/ForOldVersion/keep_compatibility.html	(revision 101)
+++ trunk/SRC/Documentation/idldoc_html_output/ForOldVersion/keep_compatibility.html	(revision 102)
@@ -87,5 +87,10 @@
       </div>
 
-      <div id="file_comments"></div>
+      <div id="file_comments"> 
+   1) define key_forgetold = 1b - keyword_set(flag)
+   2) remove all oldcm_used.pro found in !path
+   3) define and create myuniquetmpdir and add it to !path
+   4) copy oldcm_full(_empty) to myuniquetmpdir+'oldcm_used.pro'
+</div>
 
       
@@ -102,36 +107,11 @@
 	<div class="routine_details" id="_keep_compatibility">
 
-	  <h2><a class="top" href="#container">top</a>keep_compatibility </h2>
+	  <h2><a class="top" href="#container">top</a>keep_compatibility <span class="categories"> compatibility with old version
+</span></h2>
 	
 	  <p class="header">
-	    keep_compatibility<span class="result">, <a href="#_keep_compatibility_param_flag">flag</a></span></p>
+	    keep_compatibility<span class="result">[, <a href="#_keep_compatibility_param_flag">flag</a>]</span></p>
 	
-	  <div class="comments">
- NAME: keep_compatibility
-
- PURPOSE: 
-   1) define key_forgetold = 1b - keyword_set(flag)
-   2) remove all oldcm_used.pro found in !path
-   3) define and create myuniquetmpdir and add it to !path
-   4) copy oldcm_full(_empty) to myuniquetmpdir+'oldcm_used.pro'
-
- CATEGORY: compatibility with old version
-
- CALLING SEQUENCE:keep_compatibility [, flag]
-
- INPUTS: 
-
-    flag: 1 or 0 to keep or forget the compatibility
-    dir: the directory where we create oldcm_used.pro.
-    if omitted, is automatically defined to 
-             1b - keyword_set(key_forgetold) 
-
- COMMON BLOCKS: cm_general
-
- SIDE EFFECTS: see purpose
-
- RESTRICTIONS: copy oldcm_full or oldcm_empty must be found in the
- !path. dir must aslo be in the !path
-</div>
+	  <div class="comments"></div>
 
 	  
@@ -142,7 +122,7 @@
 	    
 	    <h4 id="_keep_compatibility_param_flag">flag&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      <span class="attr">in</span>
 	      
-	      
-	      
+	      <span class="attr">optional</span>
 	      
 	      
@@ -152,5 +132,8 @@
 	    </h4>
 	
-	  <div class="comments"></div>
+	  <div class="comments"> 1 or 0 to keep or forget the compatibility
+
+ uses cm_general
+</div>
 	    
 
@@ -159,16 +142,22 @@
 	  
 
+	  <h3>Examples</h3><div class="value">
+ IDL> keep_compatibility [, flag]
+</div>
+	  <h3>Version history</h3>
+	  
+	  
+	  <h4>History</h4><div class="value"> Sebastien Masson (smasson@lodyc.jussieu.fr)
+                      June 2005
+</div>
+	  
+	  
+	  <h3>Known issues</h3>
 	  
 	  
 	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
+	  <h4>Restrictions</h4><div class="value"> copy oldcm_full or oldcm_empty must be found in the
+ !path. dir must also be in the !path
+</div>
 	
 	  
Index: trunk/SRC/Documentation/idldoc_html_output/idldoc-categories.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/idldoc-categories.html	(revision 101)
+++ trunk/SRC/Documentation/idldoc_html_output/idldoc-categories.html	(revision 102)
@@ -156,4 +156,10 @@
             
           </ul>
+        </li>        <li id="idldoc-compatibility_with_old_version">compatibility with old version <span class="result">(1 routine)</span>
+          <ul>
+            
+            <li><a href="./ForOldVersion/keep_compatibility.html?format=raw#_keep_compatibility">keep_compatibility</a></li>
+            
+          </ul>
         </li>        <li id="idldoc-find_a_file">find a file <span class="result">(1 routine)</span>
           <ul>
Index: trunk/SRC/Documentation/idldoc_html_output/idldoc-warnings.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/idldoc-warnings.html	(revision 101)
+++ trunk/SRC/Documentation/idldoc_html_output/idldoc-warnings.html	(revision 102)
@@ -149,12 +149,4 @@
 </tr>
 
-</table><a href="./ForOldVersion/keep_compatibility.html?format=raw">./ForOldVersion/keep_compatibility.pro</a>
-<table>
-
-<tr>
-<td class="docroutine"><a href="./ForOldVersion/keep_compatibility.html?format=raw#_keep_compatibility">keep_compatibility</a></td>
-<td class="docstat partialdoc">partially documented</td>
-</tr>
-
 </table><a href="./Grid/computegrid.html?format=raw">./Grid/computegrid.pro</a>
 <table>
Index: trunk/SRC/Documentation/idldoc_html_output/overview.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/overview.html	(revision 101)
+++ trunk/SRC/Documentation/idldoc_html_output/overview.html	(revision 102)
@@ -360,5 +360,5 @@
 	<tr>
 	  <td>Lines of code</td>
-	  <td class="value">       55663</td>
+	  <td class="value">       55655</td>
 	</tr>
       </table>
Index: trunk/SRC/Documentation/idldoc_html_output/search.js
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/search.js	(revision 101)
+++ trunk/SRC/Documentation/idldoc_html_output/search.js	(revision 102)
@@ -15,5 +15,5 @@
 a[13] = new Array("./Commons/cm_general.html", "cm_general.pro", "", "");
 a[14] = new Array("./Documentation/xmldoc/idlfiles/init_example.html", "init_example.pro", "", "");
-a[15] = new Array("./ForOldVersion/keep_compatibility.html", "keep_compatibility.pro", "", "    NAME: keep_compatibility     PURPOSE:      1  define key_forgetold   1b   keyword_set flag      2  remove all oldcm_used pro found in  path     3  define and create myuniquetmpdir and add it to  path     4  copy oldcm_full _empty  to myuniquetmpdir oldcm_used pro      CATEGORY: compatibility with old version     CALLING SEQUENCE:keep_compatibility   flag      INPUTS:         flag: 1 or 0 to keep or forget the compatibility      dir: the directory where we create oldcm_used pro       if omitted  is automatically defined to                1b   keyword_set key_forgetold       COMMON BLOCKS: cm_general     SIDE EFFECTS: see purpose     RESTRICTIONS: copy oldcm_full or oldcm_empty must be found in the    path  dir must aslo be in the  path     MODIFICATION HISTORY:Sebastien Masson  smasson lodyc jussieu fr                         June 2005     PRO keep_compatibility  flag    cm_general     version should be at least 6 0     IF fix strmid version release  0  1  LT 6 THEN BEGIN      print                                print                        ERROR       print                                print   This version of SAXO needs at least IDL version 6 0      print                                print                        ERROR       print                                return   ENDIF     IF n_elements myuniquetmpdir  NE 0 THEN BEGIN      path    path   :    expand_path myuniquetmpdir      return   ENDIF      if n_elements flag  eq 0 then flag   1b   keyword_set key_forgetold     1  automatic definition of key_forgetold   key_forgetold   1b   keyword_set flag       2  remove all oldcm_used pro found in  path   to_rm   find oldcm_used    IF to_rm 0  NE  NOT FOUND  THEN file_delete  to_rm     3  define and create myuniquetmpdir and add it to  path   def_myuniquetmpdir     4  copy oldcm_full _empty  to myuniquetmpdir oldcm_used pro    select which file should be copied to oldcm_used pro   IF key_forgetold THEN BEGIN      oldcm   find oldcm_empty      print   We forget the compatibility with the old version    ENDIF ELSE BEGIN      oldcm   find oldcm_full       print   We keep the compatibility with the old version    ENDELSE      oldcm   oldcm 0    IF oldcm EQ  NOT FOUND  THEN BEGIN     print   Error: oldcm_full or oldcm_empty must be found in the  path      stop   ENDIF   copy   file_copy  oldcm  myuniquetmpdir    oldcm_used pro   overwrite     make sure we can make the plots enev if we are using the demo mode     demomode_compatibility      make sure that the common variables are correctly initialized      IF size ccmeshparameters   type  NE 8 THEN BEGIN      computegrid  1  1  1  1  1  1   fullcgrid  cm_4data         varname         vargrid    T      vardate    0      varexp         varunit         valmask   1 e20   ENDIF       return END");
+a[15] = new Array("./ForOldVersion/keep_compatibility.html", "keep_compatibility.pro", "", "     file_comments      1  define key_forgetold   1b   keyword_set flag      2  remove all oldcm_used pro found in  path     3  define and create myuniquetmpdir and add it to  path     4  copy oldcm_full _empty  to myuniquetmpdir oldcm_used pro       categories compatibility with old version      examples   IDL  keep_compatibility   flag       param flag  in optional  1 or 0 to keep or forget the compatibility     uses cm_general      restrictions copy oldcm_full or oldcm_empty must be found in the    path  dir must also be in the  path      history Sebastien Masson  smasson lodyc jussieu fr                         June 2005     PRO keep_compatibility  flag    cm_general     version should be at least 6 0     IF fix strmid version release  0  1  LT 6 THEN BEGIN      print                                print                        ERROR       print                                print   This version of SAXO needs at least IDL version 6 0      print                                print                        ERROR       print                                return   ENDIF     IF n_elements myuniquetmpdir  NE 0 THEN BEGIN      path    path   :    expand_path myuniquetmpdir      return   ENDIF      if n_elements flag  eq 0 then flag   1b   keyword_set key_forgetold     1  automatic definition of key_forgetold   key_forgetold   1b   keyword_set flag       2  remove all oldcm_used pro found in  path   to_rm   find oldcm_used    IF to_rm 0  NE  NOT FOUND  THEN file_delete  to_rm     3  define and create myuniquetmpdir and add it to  path   def_myuniquetmpdir     4  copy oldcm_full _empty  to myuniquetmpdir oldcm_used pro    select which file should be copied to oldcm_used pro   IF key_forgetold THEN BEGIN      oldcm   find oldcm_empty      print   We forget the compatibility with the old version    ENDIF ELSE BEGIN      oldcm   find oldcm_full       print   We keep the compatibility with the old version    ENDELSE      oldcm   oldcm 0    IF oldcm EQ  NOT FOUND  THEN BEGIN     print   Error: oldcm_full or oldcm_empty must be found in the  path      stop   ENDIF   copy   file_copy  oldcm  myuniquetmpdir    oldcm_used pro   overwrite     make sure we can make the plots enev if we are using the demo mode     demomode_compatibility      make sure that the common variables are correctly initialized      IF size ccmeshparameters   type  NE 8 THEN BEGIN      computegrid  1  1  1  1  1  1   fullcgrid  cm_4data         varname         vargrid    T      vardate    0      varexp         varunit         valmask   1 e20   ENDIF       return END");
 a[16] = new Array("./ForOldVersion/oldcm_empty.html", "oldcm_empty.pro", "", "");
 a[17] = new Array("./ForOldVersion/oldcm_full.html", "oldcm_full.pro", "", "");
Index: trunk/SRC/ForOldVersion/keep_compatibility.pro
===================================================================
--- trunk/SRC/ForOldVersion/keep_compatibility.pro	(revision 101)
+++ trunk/SRC/ForOldVersion/keep_compatibility.pro	(revision 102)
@@ -1,6 +1,4 @@
 ;+
-; NAME: keep_compatibility
-;
-; PURPOSE: 
+; @file_comments 
 ;   1) define key_forgetold = 1b - keyword_set(flag)
 ;   2) remove all oldcm_used.pro found in !path
@@ -8,23 +6,17 @@
 ;   4) copy oldcm_full(_empty) to myuniquetmpdir+'oldcm_used.pro'
 ;
-; CATEGORY: compatibility with old version
+; @categories compatibility with old version
 ;
-; CALLING SEQUENCE:keep_compatibility [, flag]
+; @examples
+; IDL> keep_compatibility [, flag]
 ;
-; INPUTS: 
+; @param flag {in}{optional} 1 or 0 to keep or forget the compatibility
 ;
-;    flag: 1 or 0 to keep or forget the compatibility
-;    dir: the directory where we create oldcm_used.pro.
-;    if omitted, is automatically defined to 
-;             1b - keyword_set(key_forgetold) 
+; uses cm_general
 ;
-; COMMON BLOCKS: cm_general
+; @restrictions copy oldcm_full or oldcm_empty must be found in the
+; !path. dir must also be in the !path
 ;
-; SIDE EFFECTS: see purpose
-;
-; RESTRICTIONS: copy oldcm_full or oldcm_empty must be found in the
-; !path. dir must aslo be in the !path
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      June 2005
 ;
Index: trunk/SRC/ForOldVersion/oldcm_empty.pro
===================================================================
--- trunk/SRC/ForOldVersion/oldcm_empty.pro	(revision 101)
+++ trunk/SRC/ForOldVersion/oldcm_empty.pro	(revision 102)
@@ -1,5 +1,5 @@
 ;+
 ;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                       June 2005
 ;-
Index: trunk/SRC/ForOldVersion/oldcm_full.pro
===================================================================
--- trunk/SRC/ForOldVersion/oldcm_full.pro	(revision 101)
+++ trunk/SRC/ForOldVersion/oldcm_full.pro	(revision 102)
@@ -1,5 +1,5 @@
 ;+
 ;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;			14/8/98
 ;-
Index: trunk/SRC/ForOldVersion/updatekwd.pro
===================================================================
--- trunk/SRC/ForOldVersion/updatekwd.pro	(revision 101)
+++ trunk/SRC/ForOldVersion/updatekwd.pro	(revision 102)
@@ -1,19 +1,20 @@
 ;+
-; NAME: updatekwd
 ;
-; PURPOSE: compatibility with old keywords
+; @file_comments 
+; compatibility with old keywords
+; if needed, force the definition of new keywords
+;               with the old ones.
 ;
-; CATEGORY: compatibility with previous version
+; @categories compatibility with previous version
 ;
-; CALLING SEQUENCE: @updatekwd
+; @examples 
+; IDL> \@updatekwd
 ;   (must be insert as an include in a procedure or function) 
 ;
-; SIDE EFFECTS: if needed, force the definition of new keywords
-;               with the old ones.
 ;
-; RESTRICTIONS: the compatibility can be made only if the keyword
+; @restrictions the compatibility can be made only if the keyword
 ;               given through _extra are given with their complete name
 ;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      July 2005
 ;-
Index: trunk/SRC/ForOldVersion/updatenew.pro
===================================================================
--- trunk/SRC/ForOldVersion/updatenew.pro	(revision 101)
+++ trunk/SRC/ForOldVersion/updatenew.pro	(revision 102)
@@ -1,11 +1,11 @@
 ;+
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                       JUne 2005
-;-
-;
+; file_comments 
 ; common declaration
 ;
 ; check that key_forgetold and keep_compatibility are well defined...
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+;                       June 2005
+;-
+;
 ;
 IF n_elements(key_forgetold) EQ 0 THEN keep_compatibility
Index: trunk/SRC/ForOldVersion/updateold.pro
===================================================================
--- trunk/SRC/ForOldVersion/updateold.pro	(revision 101)
+++ trunk/SRC/ForOldVersion/updateold.pro	(revision 102)
@@ -1,10 +1,9 @@
 ;+
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @file_comments
+; check that key_forgetold and keep_compatibility are well defined...
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;			14/8/98
 ;-
 ;
-;
-; check that key_forgetold and keep_compatibility are well defined...
 ;
 IF n_elements(key_forgetold) EQ 0 THEN keep_compatibility
Index: trunk/SRC/Interpolation/get_gridparams.pro
===================================================================
--- trunk/SRC/Interpolation/get_gridparams.pro	(revision 101)
+++ trunk/SRC/Interpolation/get_gridparams.pro	(revision 102)
@@ -31,12 +31,13 @@
 ;
 ; 2) 
-; @param lon lat {in}{required}  1d or 2D arrays defining longitudes and latitudes. 
+; @param in1 {in}{required}  1d or 2D arrays defining longitudes and latitudes. 
+; @param in2 {in}{required}  1d or 2D arrays defining longitudes and latitudes. 
 ;    Note that these arrays are also outputs and can therefore be modified. 
 
 ; @param in1 {out} the variable that will contain the longitudes
 ;  @param in2  {out} the variable that will contain the latitudes
-;  @param in3  {out} the number of points in the longitudinal direction
-;  @param in4  {out} the number of points in the latitudinal direction
-;  @param in5 {out} 1 or 2 to specify if lon and lat should be 1D (jpi or jpj)
+;  @param in3  {in} the number of points in the longitudinal direction
+;  @param in4  {in} the number of points in the latitudinal direction
+;  @param in5 {in} 1 or 2 to specify if lon and lat should be 1D (jpi or jpj)
 ;    arrays or 2D arrays (jpi,jpj). Note that of  n_dimensions = 1, then the
 ;    grid must be regular (each longitudes must be the same for all latitudes