Index: trunk/SRC/Documentation/idldoc_html_output/Grid/computegrid.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Grid/computegrid.html	(revision 103)
+++ trunk/SRC/Documentation/idldoc_html_output/Grid/computegrid.html	(revision 104)
@@ -7,5 +7,5 @@
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
   <head>
-    <title>computegrid.pro (IDLdoc API documentation)</title>
+    <title>computegrid.pro (SAXO Documentation)</title>
 
     
@@ -16,5 +16,5 @@
     <script type="text/javascript">
       function setTitle() {
-        parent.document.title="computegrid.pro (IDLdoc API documentation)";
+        parent.document.title="computegrid.pro (SAXO Documentation)";
       }
     </script>
@@ -24,5 +24,5 @@
 
     <div id="navbar_title">
-  <h1>IDLdoc API documentation</h1>
+  <h1>SAXO Documentation</h1>
 </div>
 
Index: trunk/SRC/Documentation/idldoc_html_output/Grid/directory-overview.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Grid/directory-overview.html	(revision 103)
+++ trunk/SRC/Documentation/idldoc_html_output/Grid/directory-overview.html	(revision 104)
@@ -7,5 +7,5 @@
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
   <head>
-    <title>Grid/ (IDLdoc API documentation)</title>
+    <title>Grid/ (SAXO Documentation)</title>
 
     
@@ -16,5 +16,5 @@
     <script type="text/javascript">
       function setTitle() {
-        parent.document.title="Grid/ (IDLdoc API documentation)";
+        parent.document.title="Grid/ (SAXO Documentation)";
       }
     </script>
@@ -25,5 +25,5 @@
 
     <div id="navbar_title">
-  <h1>IDLdoc API documentation</h1>
+  <h1>SAXO Documentation</h1>
 </div>
 
Index: trunk/SRC/Documentation/idldoc_html_output/Grid/micromeshmask.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Grid/micromeshmask.html	(revision 103)
+++ trunk/SRC/Documentation/idldoc_html_output/Grid/micromeshmask.html	(revision 104)
@@ -7,5 +7,5 @@
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
   <head>
-    <title>micromeshmask.pro (IDLdoc API documentation)</title>
+    <title>micromeshmask.pro (SAXO Documentation)</title>
 
     
@@ -16,5 +16,5 @@
     <script type="text/javascript">
       function setTitle() {
-        parent.document.title="micromeshmask.pro (IDLdoc API documentation)";
+        parent.document.title="micromeshmask.pro (SAXO Documentation)";
       }
     </script>
@@ -24,5 +24,5 @@
 
     <div id="navbar_title">
-  <h1>IDLdoc API documentation</h1>
+  <h1>SAXO Documentation</h1>
 </div>
 
Index: trunk/SRC/Documentation/idldoc_html_output/Grid/n128gaussian.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Grid/n128gaussian.html	(revision 103)
+++ trunk/SRC/Documentation/idldoc_html_output/Grid/n128gaussian.html	(revision 104)
@@ -7,5 +7,5 @@
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
   <head>
-    <title>n128gaussian.pro (IDLdoc API documentation)</title>
+    <title>n128gaussian.pro (SAXO Documentation)</title>
 
     
@@ -16,5 +16,5 @@
     <script type="text/javascript">
       function setTitle() {
-        parent.document.title="n128gaussian.pro (IDLdoc API documentation)";
+        parent.document.title="n128gaussian.pro (SAXO Documentation)";
       }
     </script>
@@ -24,5 +24,5 @@
 
     <div id="navbar_title">
-  <h1>IDLdoc API documentation</h1>
+  <h1>SAXO Documentation</h1>
 </div>
 
Index: trunk/SRC/Documentation/idldoc_html_output/Grid/n160gaussian.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Grid/n160gaussian.html	(revision 103)
+++ trunk/SRC/Documentation/idldoc_html_output/Grid/n160gaussian.html	(revision 104)
@@ -7,5 +7,5 @@
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
   <head>
-    <title>n160gaussian.pro (IDLdoc API documentation)</title>
+    <title>n160gaussian.pro (SAXO Documentation)</title>
 
     
@@ -16,5 +16,5 @@
     <script type="text/javascript">
       function setTitle() {
-        parent.document.title="n160gaussian.pro (IDLdoc API documentation)";
+        parent.document.title="n160gaussian.pro (SAXO Documentation)";
       }
     </script>
@@ -24,5 +24,5 @@
 
     <div id="navbar_title">
-  <h1>IDLdoc API documentation</h1>
+  <h1>SAXO Documentation</h1>
 </div>
 
Index: trunk/SRC/Documentation/idldoc_html_output/Grid/n256gaussian.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Grid/n256gaussian.html	(revision 103)
+++ trunk/SRC/Documentation/idldoc_html_output/Grid/n256gaussian.html	(revision 104)
@@ -7,5 +7,5 @@
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
   <head>
-    <title>n256gaussian.pro (IDLdoc API documentation)</title>
+    <title>n256gaussian.pro (SAXO Documentation)</title>
 
     
@@ -16,5 +16,5 @@
     <script type="text/javascript">
       function setTitle() {
-        parent.document.title="n256gaussian.pro (IDLdoc API documentation)";
+        parent.document.title="n256gaussian.pro (SAXO Documentation)";
       }
     </script>
@@ -24,5 +24,5 @@
 
     <div id="navbar_title">
-  <h1>IDLdoc API documentation</h1>
+  <h1>SAXO Documentation</h1>
 </div>
 
Index: trunk/SRC/Documentation/idldoc_html_output/Grid/n48gaussian.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Grid/n48gaussian.html	(revision 103)
+++ trunk/SRC/Documentation/idldoc_html_output/Grid/n48gaussian.html	(revision 104)
@@ -7,5 +7,5 @@
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
   <head>
-    <title>n48gaussian.pro (IDLdoc API documentation)</title>
+    <title>n48gaussian.pro (SAXO Documentation)</title>
 
     
@@ -16,5 +16,5 @@
     <script type="text/javascript">
       function setTitle() {
-        parent.document.title="n48gaussian.pro (IDLdoc API documentation)";
+        parent.document.title="n48gaussian.pro (SAXO Documentation)";
       }
     </script>
@@ -24,5 +24,5 @@
 
     <div id="navbar_title">
-  <h1>IDLdoc API documentation</h1>
+  <h1>SAXO Documentation</h1>
 </div>
 
Index: trunk/SRC/Documentation/idldoc_html_output/Grid/n80gaussian.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Grid/n80gaussian.html	(revision 103)
+++ trunk/SRC/Documentation/idldoc_html_output/Grid/n80gaussian.html	(revision 104)
@@ -7,5 +7,5 @@
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
   <head>
-    <title>n80gaussian.pro (IDLdoc API documentation)</title>
+    <title>n80gaussian.pro (SAXO Documentation)</title>
 
     
@@ -16,5 +16,5 @@
     <script type="text/javascript">
       function setTitle() {
-        parent.document.title="n80gaussian.pro (IDLdoc API documentation)";
+        parent.document.title="n80gaussian.pro (SAXO Documentation)";
       }
     </script>
@@ -24,5 +24,5 @@
 
     <div id="navbar_title">
-  <h1>IDLdoc API documentation</h1>
+  <h1>SAXO Documentation</h1>
 </div>
 
Index: trunk/SRC/Documentation/idldoc_html_output/Grid/ncdf_meshread.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Grid/ncdf_meshread.html	(revision 103)
+++ trunk/SRC/Documentation/idldoc_html_output/Grid/ncdf_meshread.html	(revision 104)
@@ -7,5 +7,5 @@
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
   <head>
-    <title>ncdf_meshread.pro (IDLdoc API documentation)</title>
+    <title>ncdf_meshread.pro (SAXO Documentation)</title>
 
     
@@ -16,5 +16,5 @@
     <script type="text/javascript">
       function setTitle() {
-        parent.document.title="ncdf_meshread.pro (IDLdoc API documentation)";
+        parent.document.title="ncdf_meshread.pro (SAXO Documentation)";
       }
     </script>
@@ -24,5 +24,5 @@
 
     <div id="navbar_title">
-  <h1>IDLdoc API documentation</h1>
+  <h1>SAXO Documentation</h1>
 </div>
 
Index: trunk/SRC/Documentation/idldoc_html_output/Grid/restoreboxparam.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Grid/restoreboxparam.html	(revision 103)
+++ trunk/SRC/Documentation/idldoc_html_output/Grid/restoreboxparam.html	(revision 104)
@@ -7,5 +7,5 @@
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
   <head>
-    <title>restoreboxparam.pro (IDLdoc API documentation)</title>
+    <title>restoreboxparam.pro (SAXO Documentation)</title>
 
     
@@ -16,5 +16,5 @@
     <script type="text/javascript">
       function setTitle() {
-        parent.document.title="restoreboxparam.pro (IDLdoc API documentation)";
+        parent.document.title="restoreboxparam.pro (SAXO Documentation)";
       }
     </script>
@@ -24,5 +24,5 @@
 
     <div id="navbar_title">
-  <h1>IDLdoc API documentation</h1>
+  <h1>SAXO Documentation</h1>
 </div>
 
Index: trunk/SRC/Documentation/idldoc_html_output/Grid/saveboxparam.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Grid/saveboxparam.html	(revision 103)
+++ trunk/SRC/Documentation/idldoc_html_output/Grid/saveboxparam.html	(revision 104)
@@ -7,5 +7,5 @@
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
   <head>
-    <title>saveboxparam.pro (IDLdoc API documentation)</title>
+    <title>saveboxparam.pro (SAXO Documentation)</title>
 
     
@@ -16,5 +16,5 @@
     <script type="text/javascript">
       function setTitle() {
-        parent.document.title="saveboxparam.pro (IDLdoc API documentation)";
+        parent.document.title="saveboxparam.pro (SAXO Documentation)";
       }
     </script>
@@ -24,5 +24,5 @@
 
     <div id="navbar_title">
-  <h1>IDLdoc API documentation</h1>
+  <h1>SAXO Documentation</h1>
 </div>
 
Index: trunk/SRC/Documentation/idldoc_html_output/Grid/smallmeshmask.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Grid/smallmeshmask.html	(revision 103)
+++ trunk/SRC/Documentation/idldoc_html_output/Grid/smallmeshmask.html	(revision 104)
@@ -7,5 +7,5 @@
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
   <head>
-    <title>smallmeshmask.pro (IDLdoc API documentation)</title>
+    <title>smallmeshmask.pro (SAXO Documentation)</title>
 
     
@@ -16,5 +16,5 @@
     <script type="text/javascript">
       function setTitle() {
-        parent.document.title="smallmeshmask.pro (IDLdoc API documentation)";
+        parent.document.title="smallmeshmask.pro (SAXO Documentation)";
       }
     </script>
@@ -24,5 +24,5 @@
 
     <div id="navbar_title">
-  <h1>IDLdoc API documentation</h1>
+  <h1>SAXO Documentation</h1>
 </div>
 