Index: trunk/SRC/Documentation/idldoc_html_output/idldoc-index-X.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/idldoc-index-X.html	(revision 104)
+++ trunk/SRC/Documentation/idldoc_html_output/idldoc-index-X.html	(revision 106)
@@ -172,31 +172,31 @@
       <dl>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/VECTEUR/velovect.html?format=raw#_VELOVECT">X</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/VECTEUR/velovect.html</dd>
+	
+	<dt><a href="./ToBeReviewed/STATISTICS/a_correlate2d.html?format=raw#_Auto_Cov2d">X</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/a_correlate2d.html</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt1d.html?format=raw#_plt1d">X</a></dt>
+	<dd>a keyword from the routine plt1d</dd>
+	
+	<dt><a href="./ToBeReviewed/STRING/isnumber.html?format=raw#_ISNUMBER">X</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STRING/isnumber.html</dd>
+	
 	<dt><a href="./ToBeReviewed/STATISTICS/c_timecorrelate.html?format=raw#_C_Timecorrelate">X</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/c_timecorrelate.html</dd>
 	
+	<dt><a href="./ToBeReviewed/STATISTICS/a_timecorrelate.html?format=raw#_A_TimeCorrelate">X</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/a_timecorrelate.html</dd>
+	
 	<dt><a href="./ToBeReviewed/STATISTICS/a_timecorrelate.html?format=raw#_TimeAuto_Cov">X</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/a_timecorrelate.html</dd>
 	
-	<dt><a href="./ToBeReviewed/STATISTICS/a_timecorrelate.html?format=raw#_A_TimeCorrelate">X</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/a_timecorrelate.html</dd>
-	
-	<dt><a href="./ToBeReviewed/STRING/isnumber.html?format=raw#_ISNUMBER">X</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STRING/isnumber.html</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/VECTEUR/velovect.html?format=raw#_VELOVECT">X</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/VECTEUR/velovect.html</dd>
-	
-	<dt><a href="./ToBeReviewed/STATISTICS/a_correlate2d.html?format=raw#_Auto_Cov2d">X</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/a_correlate2d.html</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt1d.html?format=raw#_plt1d">X</a></dt>
-	<dd>a keyword from the routine plt1d</dd>
+	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/rotation.html?format=raw#_ROTATION">X</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/rotation.html</dd>
 	
 	<dt><a href="./ToBeReviewed/STATISTICS/a_correlate2d.html?format=raw#_A_Correlate2d">X</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/a_correlate2d.html</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/rotation.html?format=raw#_ROTATION">X</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/rotation.html</dd>
-	
 	<dt><a href="./ToBeReviewed/IMAGE/imdisp.html?format=raw#_IMDISP_IMSIZE">X0</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/IMAGE/imdisp.html</dd>
@@ -208,10 +208,10 @@
 	<dd>a keyword from the routine initncdf</dd>
 	
+	<dt><a href="./ToBeReviewed/GRILLE/domdef.html?format=raw#_domdef">XINDEX</a></dt>
+	<dd>a keyword from the routine domdef</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/checktypeminmax.html?format=raw#_checktypeminmax">XINDEX</a></dt>
 	<dd>a keyword from the routine checktypeminmax</dd>
 	
-	<dt><a href="./ToBeReviewed/GRILLE/domdef.html?format=raw#_domdef">XINDEX</a></dt>
-	<dd>a keyword from the routine domdef</dd>
-	
 	<dt><a href="./ToBeReviewed/COULEURS/xlct.html?format=raw#_XLCT_PSAVE">XLCT_PSAVE</a></dt>
 	<dd>a procedure from the file xlct.pro</dd>
@@ -262,19 +262,19 @@
 	<dd>a procedure from the file xpal.pro</dd>
 	
+	<dt><a href="./ToBeReviewed/TRIANGULATION/drawcoast_c.html?format=raw#_drawcoast_c">XSEUIL</a></dt>
+	<dd>a keyword from the routine drawcoast_c</dd>
+	
 	<dt><a href="./ToBeReviewed/TRIANGULATION/drawcoast_e.html?format=raw#_drawcoast_e">XSEUIL</a></dt>
 	<dd>a keyword from the routine drawcoast_e</dd>
 	
-	<dt><a href="./ToBeReviewed/TRIANGULATION/drawcoast_c.html?format=raw#_drawcoast_c">XSEUIL</a></dt>
-	<dd>a keyword from the routine drawcoast_c</dd>
+	<dt><a href="./buildinit.html?format=raw#_CW_FIELD2">XSIZE</a></dt>
+	<dd>a keyword from the routine CW_FIELD2</dd>
+	
+	<dt><a href="./ToBeReviewed/IMAGE/imdisp.html?format=raw#_IMDISP_IMSIZE">XSIZE</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/IMAGE/imdisp.html</dd>
 	
 	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_bgroup.html?format=raw#_CW_BGROUP">XSIZE</a></dt>
 	<dd>a keyword from the routine CW_BGROUP</dd>
 	
-	<dt><a href="./buildinit.html?format=raw#_CW_FIELD2">XSIZE</a></dt>
-	<dd>a keyword from the routine CW_FIELD2</dd>
-	
-	<dt><a href="./ToBeReviewed/IMAGE/imdisp.html?format=raw#_IMDISP_IMSIZE">XSIZE</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/IMAGE/imdisp.html</dd>
-	
 	<dt><a href="./ToBeReviewed/GRILLE/tracegrille.html?format=raw#_tracegrille">XSTRIDE</a></dt>
 	<dd>a keyword from the routine tracegrille</dd>
@@ -313,67 +313,67 @@
 	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/c_timecorrelate.html</dd>
 	
+	<dt><a href="./ToBeReviewed/TRIANGULATION/dessinetri.html?format=raw#_dessinetri">x</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/TRIANGULATION/dessinetri.html</dd>
+	
+	<dt><a href="./Interpolation/spl_keep_mean.html?format=raw#_spl_keep_mean">x</a></dt>
+	<dd>a parameter from the routine ./Interpolation/spl_keep_mean.html</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/reinitplt.html?format=raw#_reinitplt">x</a></dt>
+	<dd>a keyword from the routine reinitplt</dd>
+	
 	<dt><a href="./Interpolation/spl_incr.html?format=raw#_pure_convex">x</a></dt>
 	<dd>a parameter from the routine ./Interpolation/spl_incr.html</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/LABEL/label_date.html?format=raw#_LABEL_DATE">x</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/LABEL/label_date.html</dd>
+	
+	<dt><a href="./Interpolation/spl_incr.html?format=raw#_pure_concave">x</a></dt>
+	<dd>a parameter from the routine ./Interpolation/spl_incr.html</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/splot.html?format=raw#_splot">x</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/splot.html</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/scontour.html?format=raw#_scontour">x</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/scontour.html</dd>
+	
+	<dt><a href="./Interpolation/spl_fstdrv.html?format=raw#_spl_fstdrv">x</a></dt>
+	<dd>a parameter from the routine ./Interpolation/spl_fstdrv.html</dd>
+	
+	<dt><a href="./Interpolation/spl_incr.html?format=raw#_spl_incr">x</a></dt>
+	<dd>a parameter from the routine ./Interpolation/spl_incr.html</dd>
+	
+	<dt><a href="./Interpolation/inquad.html?format=raw#_inquad">x</a></dt>
+	<dd>a parameter from the routine ./Interpolation/inquad.html</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltbase.html?format=raw#_pltbase">x</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/pltbase.html</dd>
 	
 	<dt><a href="./ToBeReviewed/MATRICE/congridseb.html?format=raw#_congridseb">x</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/MATRICE/congridseb.html</dd>
 	
-	<dt><a href="./Interpolation/spl_incr.html?format=raw#_pure_concave">x</a></dt>
-	<dd>a parameter from the routine ./Interpolation/spl_incr.html</dd>
-	
-	<dt><a href="./Interpolation/spl_fstdrv.html?format=raw#_spl_fstdrv">x</a></dt>
-	<dd>a parameter from the routine ./Interpolation/spl_fstdrv.html</dd>
-	
 	<dt><a href="./ToBeReviewed/MATRICE/cmapply.html?format=raw#_cmapply_product">x</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/MATRICE/cmapply.html</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/reinitplt.html?format=raw#_reinitplt">x</a></dt>
-	<dd>a keyword from the routine reinitplt</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/splot.html?format=raw#_splot">x</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/splot.html</dd>
-	
-	<dt><a href="./Interpolation/spl_keep_mean.html?format=raw#_spl_keep_mean">x</a></dt>
-	<dd>a parameter from the routine ./Interpolation/spl_keep_mean.html</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/scontour.html?format=raw#_scontour">x</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/scontour.html</dd>
-	
-	<dt><a href="./Interpolation/spl_incr.html?format=raw#_spl_incr">x</a></dt>
-	<dd>a parameter from the routine ./Interpolation/spl_incr.html</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltbase.html?format=raw#_pltbase">x</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/pltbase.html</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/LABEL/label_date.html?format=raw#_LABEL_DATE">x</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/LABEL/label_date.html</dd>
-	
-	<dt><a href="./Interpolation/inquad.html?format=raw#_inquad">x</a></dt>
-	<dd>a parameter from the routine ./Interpolation/inquad.html</dd>
-	
-	<dt><a href="./ToBeReviewed/TRIANGULATION/dessinetri.html?format=raw#_dessinetri">x</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/TRIANGULATION/dessinetri.html</dd>
+	<dt><a href="./Interpolation/cutsegment.html?format=raw#_cutsegment">x0</a></dt>
+	<dd>a parameter from the routine ./Interpolation/cutsegment.html</dd>
 	
 	<dt><a href="./Interpolation/cutpar.html?format=raw#_cutpar">x0</a></dt>
 	<dd>a parameter from the routine ./Interpolation/cutpar.html</dd>
 	
-	<dt><a href="./Interpolation/cutsegment.html?format=raw#_cutsegment">x0</a></dt>
-	<dd>a parameter from the routine ./Interpolation/cutsegment.html</dd>
-	
 	<dt><a href="./Interpolation/square2quadrilateral.html?format=raw#_square2quadrilateral">x0in</a></dt>
 	<dd>a parameter from the routine ./Interpolation/square2quadrilateral.html</dd>
 	
-	<dt><a href="./Interpolation/square2quadrilateral.html?format=raw#_square2quadrilateral">x0in</a></dt>
-	<dd>a parameter from the routine ./Interpolation/square2quadrilateral.html</dd>
-	
 	<dt><a href="./Interpolation/quadrilateral2square.html?format=raw#_quadrilateral2square">x0in</a></dt>
 	<dd>a parameter from the routine ./Interpolation/quadrilateral2square.html</dd>
 	
+	<dt><a href="./Interpolation/cutsegment.html?format=raw#_cutsegment">x1</a></dt>
+	<dd>a parameter from the routine ./Interpolation/cutsegment.html</dd>
+	
+	<dt><a href="./Interpolation/spl_incr.html?format=raw#_pure_concave">x1</a></dt>
+	<dd>a parameter from the routine ./Interpolation/spl_incr.html</dd>
+	
 	<dt><a href="./ToBeReviewed/GRILLE/domdef.html?format=raw#_domdef">x1</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/GRILLE/domdef.html</dd>
 	
-	<dt><a href="./Interpolation/cutsegment.html?format=raw#_cutsegment">x1</a></dt>
-	<dd>a parameter from the routine ./Interpolation/cutsegment.html</dd>
-	
 	<dt><a href="./Interpolation/inquad.html?format=raw#_inquad">x1</a></dt>
 	<dd>a parameter from the routine ./Interpolation/inquad.html</dd>
@@ -382,7 +382,4 @@
 	<dd>a parameter from the routine ./Interpolation/cutpar.html</dd>
 	
-	<dt><a href="./Interpolation/spl_incr.html?format=raw#_pure_concave">x1</a></dt>
-	<dd>a parameter from the routine ./Interpolation/spl_incr.html</dd>
-	
 	<dt><a href="./Interpolation/spl_incr.html?format=raw#_pure_convex">x1</a></dt>
 	<dd>a parameter from the routine ./Interpolation/spl_incr.html</dd>
@@ -391,26 +388,26 @@
 	<dd>a parameter from the routine ./Interpolation/inrecgrid.html</dd>
 	
+	<dt><a href="./Interpolation/quadrilateral2square.html?format=raw#_quadrilateral2square">x1in</a></dt>
+	<dd>a parameter from the routine ./Interpolation/quadrilateral2square.html</dd>
+	
 	<dt><a href="./Interpolation/square2quadrilateral.html?format=raw#_square2quadrilateral">x1in</a></dt>
 	<dd>a parameter from the routine ./Interpolation/square2quadrilateral.html</dd>
 	
-	<dt><a href="./Interpolation/square2quadrilateral.html?format=raw#_square2quadrilateral">x1in</a></dt>
-	<dd>a parameter from the routine ./Interpolation/square2quadrilateral.html</dd>
-	
-	<dt><a href="./Interpolation/quadrilateral2square.html?format=raw#_quadrilateral2square">x1in</a></dt>
-	<dd>a parameter from the routine ./Interpolation/quadrilateral2square.html</dd>
+	<dt><a href="./Interpolation/spl_incr.html?format=raw#_pure_convex">x2</a></dt>
+	<dd>a parameter from the routine ./Interpolation/spl_incr.html</dd>
 	
 	<dt><a href="./Interpolation/cutpar.html?format=raw#_cutpar">x2</a></dt>
 	<dd>a parameter from the routine ./Interpolation/cutpar.html</dd>
 	
-	<dt><a href="./Interpolation/spl_incr.html?format=raw#_pure_concave">x2</a></dt>
-	<dd>a parameter from the routine ./Interpolation/spl_incr.html</dd>
+	<dt><a href="./ToBeReviewed/GRILLE/domdef.html?format=raw#_domdef">x2</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/GRILLE/domdef.html</dd>
 	
 	<dt><a href="./Interpolation/inquad.html?format=raw#_inquad">x2</a></dt>
 	<dd>a parameter from the routine ./Interpolation/inquad.html</dd>
 	
-	<dt><a href="./Interpolation/spl_incr.html?format=raw#_pure_convex">x2</a></dt>
-	<dd>a parameter from the routine ./Interpolation/spl_incr.html</dd>
-	
-	<dt><a href="./Interpolation/spl_incr.html?format=raw#_spl_incr">x2</a></dt>
+	<dt><a href="./Interpolation/spl_fstdrv.html?format=raw#_spl_fstdrv">x2</a></dt>
+	<dd>a parameter from the routine ./Interpolation/spl_fstdrv.html</dd>
+	
+	<dt><a href="./Interpolation/spl_incr.html?format=raw#_pure_concave">x2</a></dt>
 	<dd>a parameter from the routine ./Interpolation/spl_incr.html</dd>
 	
@@ -418,19 +415,13 @@
 	<dd>a parameter from the routine ./Interpolation/spl_keep_mean.html</dd>
 	
-	<dt><a href="./ToBeReviewed/GRILLE/domdef.html?format=raw#_domdef">x2</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/GRILLE/domdef.html</dd>
-	
-	<dt><a href="./Interpolation/spl_fstdrv.html?format=raw#_spl_fstdrv">x2</a></dt>
-	<dd>a parameter from the routine ./Interpolation/spl_fstdrv.html</dd>
+	<dt><a href="./Interpolation/spl_incr.html?format=raw#_spl_incr">x2</a></dt>
+	<dd>a parameter from the routine ./Interpolation/spl_incr.html</dd>
+	
+	<dt><a href="./Interpolation/quadrilateral2square.html?format=raw#_quadrilateral2square">x2in</a></dt>
+	<dd>a parameter from the routine ./Interpolation/quadrilateral2square.html</dd>
 	
 	<dt><a href="./Interpolation/square2quadrilateral.html?format=raw#_square2quadrilateral">x2in</a></dt>
 	<dd>a parameter from the routine ./Interpolation/square2quadrilateral.html</dd>
 	
-	<dt><a href="./Interpolation/quadrilateral2square.html?format=raw#_quadrilateral2square">x2in</a></dt>
-	<dd>a parameter from the routine ./Interpolation/quadrilateral2square.html</dd>
-	
-	<dt><a href="./Interpolation/square2quadrilateral.html?format=raw#_square2quadrilateral">x2in</a></dt>
-	<dd>a parameter from the routine ./Interpolation/square2quadrilateral.html</dd>
-	
 	<dt><a href="./Interpolation/cutpar.html?format=raw#_cutpar">x3</a></dt>
 	<dd>a parameter from the routine ./Interpolation/cutpar.html</dd>
@@ -445,7 +436,4 @@
 	<dd>a parameter from the routine ./Interpolation/quadrilateral2square.html</dd>
 	
-	<dt><a href="./Interpolation/square2quadrilateral.html?format=raw#_square2quadrilateral">x3in</a></dt>
-	<dd>a parameter from the routine ./Interpolation/square2quadrilateral.html</dd>
-	
 	<dt><a href="./Interpolation/inquad.html?format=raw#_inquad">x4</a></dt>
 	<dd>a parameter from the routine ./Interpolation/inquad.html</dd>
@@ -460,10 +448,10 @@
 	<dd>a procedure from the file buildinit.pro</dd>
 	
+	<dt><a href="./ToBeReviewed/HOPE/findlineandpointtype.html?format=raw#_findlineandpointtype">xaxis</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/HOPE/findlineandpointtype.html</dd>
+	
 	<dt><a href="./ToBeReviewed/HOPE/computehopegrid.html?format=raw#_computehopegrid">xaxis</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/HOPE/computehopegrid.html</dd>
 	
-	<dt><a href="./ToBeReviewed/HOPE/findlineandpointtype.html?format=raw#_findlineandpointtype">xaxis</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/HOPE/findlineandpointtype.html</dd>
-	
 	<dt><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/xcreateanim.html?format=raw#_xcreateanim">xcreateanim</a></dt>
 	<dd>a procedure from the file xcreateanim.pro</dd>
@@ -493,4 +481,7 @@
 	<dd>a file from the directory ./ToBeReviewed/UTILITAIRE</dd>
 	
+	<dt><a href="./ToBeReviewed/TRIANGULATION/tracemask.html?format=raw#_tracemask">xin</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/TRIANGULATION/tracemask.html</dd>
+	
 	<dt><a href="./Interpolation/imoms3.html?format=raw#_imoms3">xin</a></dt>
 	<dd>a parameter from the routine ./Interpolation/imoms3.html</dd>
@@ -499,7 +490,4 @@
 	<dd>a parameter from the routine ./ToBeReviewed/TRIANGULATION/fillcornermask.html</dd>
 	
-	<dt><a href="./ToBeReviewed/TRIANGULATION/tracemask.html?format=raw#_tracemask">xin</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/TRIANGULATION/tracemask.html</dd>
-	
 	<dt><a href="ToBeReviewed/COULEURS/xlct.html?format=raw">xlct.pro</a></dt>
 	<dd>a file from the directory ./ToBeReviewed/COULEURS</dd>
@@ -574,7 +562,4 @@
 	<dd>a parameter from the routine ./Interpolation/square2quadrilateral.html</dd>
 	
-	<dt><a href="./Interpolation/square2quadrilateral.html?format=raw#_square2quadrilateral">xxin</a></dt>
-	<dd>a parameter from the routine ./Interpolation/square2quadrilateral.html</dd>
-	
 	<dt><a href="./Interpolation/quadrilateral2square.html?format=raw#_quadrilateral2square">xxin</a></dt>
 	<dd>a parameter from the routine ./Interpolation/quadrilateral2square.html</dd>