Index: trunk/SRC/Documentation/idldoc_html_output/Interpolation/fromreg.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Interpolation/fromreg.html	(revision 109)
+++ trunk/SRC/Documentation/idldoc_html_output/Interpolation/fromreg.html	(revision 111)
@@ -681,5 +681,5 @@
 <div id="secondary_navbar">
 
-<a href="extrapolate.html">&lt;&lt;prev file</a> | <a href="get_gridparams.html">next file &gt;&gt;</a>&nbsp;&nbsp;&nbsp;&nbsp;<a href="fromreg.html" target="_TOP">view single page</a> | <a href="./../index.html?format=raw" target="_TOP">view frames</a>&nbsp;&nbsp;&nbsp;&nbsp;summary: fields | routine&nbsp;&nbsp;&nbsp;&nbsp;details: <a href="#routine_details">routine</a>
+<a href="fromirr.html?format=raw">&lt;&lt;prev file</a> | <a href="get_gridparams.html?format=raw">next file &gt;&gt;</a>&nbsp;&nbsp;&nbsp;&nbsp;<a href="fromreg.html?format=raw" target="_TOP">view single page</a> | <a href="./../index.html?format=raw" target="_TOP">view frames</a>&nbsp;&nbsp;&nbsp;&nbsp;summary: fields | routine&nbsp;&nbsp;&nbsp;&nbsp;details: <a href="#routine_details">routine</a>
 
 </div>
@@ -719,5 +719,5 @@
 	
 	  <p class="header">
-	    <span class="result">result = </span>fromreg(<span class="result"><a href="#_fromreg_param_method">method</a>, <a href="#_fromreg_param_datain">datain</a>, <a href="#_fromreg_param_lonin">lonin</a>, <a href="#_fromreg_param_latin">latin</a>, <a href="#_fromreg_param_lonout">lonout</a>, <a href="#_fromreg_param_latout">latout</a></span>, <a href="#_fromreg_keyword_WEIG">WEIG</a>=<span class="result">WEIG</span>, <a href="#_fromreg_keyword_ADDR">ADDR</a>=<span class="result">ADDR</span>, <a href="#_fromreg_keyword_NONORTHERNLINE">NONORTHERNLINE</a>=<span class="result">NONORTHERNLINE</span>, <a href="#_fromreg_keyword_NOSOUTHERNLINE">NOSOUTHERNLINE</a>=<span class="result">NOSOUTHERNLINE</span>)</p>
+	    <span class="result">result = </span>fromreg(<span class="result"><a href="#_fromreg_param_method">method</a>, <a href="#_fromreg_param_datain">datain</a>[, <a href="#_fromreg_param_lonin">lonin</a>][, <a href="#_fromreg_param_latin">latin</a>][, <a href="#_fromreg_param_lonout">lonout</a>], <a href="#_fromreg_param_latout">latout</a></span>, <a href="#_fromreg_keyword_WEIG">WEIG</a>=<span class="result">WEIG</span>, <a href="#_fromreg_keyword_ADDR">ADDR</a>=<span class="result">ADDR</span>, <a href="#_fromreg_keyword_NONORTHERNLINE">NONORTHERNLINE</a>=<span class="result">NONORTHERNLINE</span>, <a href="#_fromreg_keyword_NOSOUTHERNLINE">NOSOUTHERNLINE</a>=<span class="result">NOSOUTHERNLINE</span>)</p>
 	
 	  <div class="comments">
@@ -761,6 +761,6 @@
 	      <span class="attr">in</span>
 	      
-	      
-	      <span class="attr">required</span>
+	      <span class="attr">optional</span>
+	      
 	      
 	      
@@ -769,11 +769,11 @@
 	    </h4>
 	
-	  <div class="comments">  longitude/latitude of the input data. optionals if
+	  <div class="comments">  longitude of the input data. optionals if
             WEIG and ADDR keywords used.</div>
 	    
 	    <h4 id="_fromreg_param_latin">latin&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
+	      <span class="attr">in</span>
+	      
+	      <span class="attr">optional</span>
 	      
 	      
@@ -783,11 +783,12 @@
 	    </h4>
 	
-	  <div class="comments"></div>
+	  <div class="comments">  latitude of the input data. optionals if
+            WEIG and ADDR keywords used.</div>
 	    
 	    <h4 id="_fromreg_param_lonout">lonout&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      <span class="attr">in</span>
 	      
-	      
-	      <span class="attr">required</span>
+	      <span class="attr">optional</span>
+	      
 	      
 	      
@@ -796,5 +797,7 @@
 	    </h4>
 	
-	  <div class="comments">  longitude/latitude of the output data. optionals if
+	  <div class="comments">  longitude of the output data. optionals if
+            WEIG and ADDR keywords used.
+  latitude of the output data. optionals if
             WEIG and ADDR keywords used.
 </div>
@@ -831,5 +834,18 @@
 	    </h4>
 	
-	    <div class="comments">, ADDR 2D arrays, weig and addr are the weight and addresses used to
+	    <div class="comments"> (see ADDR)</div>
+	    
+	    <h4 id="_fromreg_keyword_ADDR">ADDR&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      
+	      
+	      
+  	      
+	      
+	      
+	      
+	      
+	    </h4>
+	
+	    <div class="comments"> 2D arrays, weig and addr are the weight and addresses used to
      perform the interpolation:
           dataout = total(weig*datain[addr], 1)
@@ -841,17 +857,4 @@
 </div>
 	    
-	    <h4 id="_fromreg_keyword_ADDR">ADDR&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-  	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	    <div class="comments"></div>
-	    
 	    <h4 id="_fromreg_keyword_NONORTHERNLINE">NONORTHERNLINE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      